[Snort-users] Snort++ installation error

Akhil Koul akhil.koul8 at ...11827...
Thu Jun 9 09:20:20 EDT 2016


Hello

I have snort 2.9.8.2 currently installed on my system. I tried to install
snort++ by downloading and running the following commands successfully as
mentioned on the github page.

./configure_cmake.sh --prefix=$my_path
cd build
make --j 8 install

However, when i try to do snort -V, it shows the version of snort as
2.9.8.2. Also, when i try to do
$my_path/bin/snort -c $my_path/etc/snort/snort.lua
I get the following error:

FATAL: can't init /home/akhil/snort_src/snort3/etc/snort/snort.lua:
/home/akhil/snort_src/snort3/etc/snort/snort.lua:22: module 'snort_config'
not found:
no field package.preload['snort_config']
no file './snort_config.lua'
no file '/usr/share/luajit-2.0.4/snort_config.lua'
no file '/usr/local/share/lua/5.1/snort_config.lua'
no file '/usr/local/share/lua/5.1/snort_config/init.lua'
no file '/usr/share/lua/5.1/snort_config.lua'
no file '/usr/share/lua/5.1/snort_config/init.lua'
no file './snort_config.so'
no file '/usr/local/lib/lua/5.1/snort_config.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/snort_config.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
Fatal Error, Quitting..

What am i doing wrong?

Thanks
Akhil
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20160609/5cd93899/attachment.html>


More information about the Snort-users mailing list